<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1" />
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css" />
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
    <title>Task 32.50 </title>
</head>

<body>
    <div class="container">
        <div class="text-center">
            <h3>Danh sách người dùng đăng ký</h3>
        </div>
        <table id="tbl-user" class="table table-bordered table-striped table-hover">
            <thead>
                <tr>
                    <th>ID</th>
                    <th>FirstName</th>
                    <th>LastName</th>
                    <th>Country</th>
                    <th>Subject</th>
                    <th>Customer Type</th>
                    <th>Register Status</th>
                    <th>Action</th>
                </tr>
            </thead>
            <tbody></tbody>
        </table>
    </div>
</body>
<script>
    $(document).ready(function () {
        " use strict"
        onPageLoading();
        $("#tbl-user").on("click", ".btn-edit ", onBtnButtonEdit)
        $("#tbl-user").on("click", ".btn-delete ", onBtnButtonDelete)
    });

    function onPageLoading() {
        callApiDataUser();
    }

    function callApiDataUser() {
        $.ajax({
            url: "http://203.171.20.210:8080/crud-api/users/",
            type: "GET",
            dataType: "json",
            success: function (res) {
                console.log(res);
                loadDataToTable(res);
            },
            error: function (ajaxContext) {
                alert(ajaxContext.responseText);
            }

        })
    }

    function loadDataToTable(pagramUserData) {

        for (var bI = 0; bI < pagramUserData.length; bI++) {
            // tạo hàng mới 
            var vNewRow = $("<tr>").appendTo("#tbl-user tbody")
            // thêm ô cho dòng
            $("<td>", { html: pagramUserData[bI].id }).appendTo(vNewRow);
            $("<td>", { html: pagramUserData[bI].firstname }).appendTo(vNewRow);
            $("<td>", { html: pagramUserData[bI].lastname }).appendTo(vNewRow);
            $("<td>", { html: pagramUserData[bI].country }).appendTo(vNewRow);
            $("<td>", { html: pagramUserData[bI].subject }).appendTo(vNewRow);
            $("<td>", { html: pagramUserData[bI].customerType }).appendTo(vNewRow);
            $("<td>", { html: pagramUserData[bI].registerStatus }).appendTo(vNewRow);
            // thêm nút button cho ô action
            var bColAction = $("<td>").appendTo(vNewRow);
            var bButtonEdit = $("<button>").appendTo(bColAction)
                .html("Sửa")
                .attr("class", "btn btn-primary col-6 btn-edit ")
            bButtonEdit.attr("data-id", pagramUserData[bI].id);
            bButtonEdit.attr("data-firstname", pagramUserData[bI].firstname);
            bButtonEdit.attr("data-lastname", pagramUserData[bI].lastname);
            bButtonEdit.attr("data-country", pagramUserData[bI].country);
            bButtonEdit.attr("data-subject", pagramUserData[bI].subject);
            bButtonEdit.attr("data-customerType", pagramUserData[bI].customerType);
            bButtonEdit.attr("data-registerStatus", pagramUserData[bI].registerStatus);

            var bButtonDelete = $("<button>").appendTo(bColAction)
                .html("Xóa")
                .attr("class", "btn btn-danger col-6 btn-delete")
                bButtonDelete.attr("data-id", pagramUserData[bI].id);
                bButtonDelete.attr("data-firstname", pagramUserData[bI].firstname);
            bButtonDelete.attr("data-lastname", pagramUserData[bI].lastname);
            bButtonDelete.attr("data-country", pagramUserData[bI].country);
            bButtonDelete.attr("data-subject", pagramUserData[bI].subject);
            bButtonDelete.attr("data-customerType", pagramUserData[bI].customerType);
            bButtonDelete.attr("data-registerStatus", pagramUserData[bI].registerStatus);
        }
    }
    function onBtnButtonEdit() {
        console.log("Nút SỬA được ấn. Id của User tương ứng là: " + $(this).data("id"));
        console.log(this)
        var vDetailFromUrl = "Task%2032.55DEtail.html";
        var vUrlToOpen = vDetailFromUrl + "?" + "id=" + $(this).data("id")
        window.location.href = vUrlToOpen

    }
    function onBtnButtonDelete() {
        console.log("Nút XÓA được ấn. Id của User tương ứng là: " + $(this).data("id"));
        console.log(this)

    }
</script>

</html>